Bug 992141 - dropbear: FTBFS in rawhide
dropbear: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dropbear (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 1013320
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 23:24 EDT by Dennis Gilmore
Modified: 2013-11-10 03:03 EST (History)
3 users (show)

See Also:
Fixed In Version: dropbear-2013.59-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 23:24:53 EDT
Your package dropbear failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5708015

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/8015/5708015/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/8015/5708015/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/8015/5708015/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Christopher Meng 2013-08-04 23:57:46 EDT
unitdir is missing on armv7 and then failed.

No idea now.
Comment 2 Christopher Meng 2013-08-05 01:41:41 EDT
Confirmed, will fix later.
Comment 3 Dennis Gilmore 2013-08-06 14:55:50 EDT
just to be clear, this is nothing to do with arm. its that systemd is no longer pulled into the minimal buildroot, this is true on all arches and build would fail regardless of the arm the build happens on.
Comment 4 Dennis Gilmore 2013-08-06 14:56:21 EDT
The fix is to make sure your BuildRequires is correct
Comment 5 Christopher Meng 2013-08-06 19:57:53 EDT
(In reply to Dennis Gilmore from comment #4)
> The fix is to make sure your BuildRequires is correct

I know, thanks. 

I don't close this bug because it has bundled libraries. I'm trying to unbundle them.
Comment 6 Fedora End Of Life 2013-09-16 12:50:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Fedora Update System 2013-10-08 19:14:48 EDT
dropbear-2013.59-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dropbear-2013.59-1.fc20
Comment 8 Fedora Update System 2013-10-08 19:15:46 EDT
dropbear-2013.59-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dropbear-2013.59-1.fc19
Comment 9 Fedora Update System 2013-10-08 19:17:57 EDT
dropbear-2013.59-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dropbear-2013.59-1.fc18
Comment 10 Fedora Update System 2013-10-08 19:18:45 EDT
dropbear-2013.59-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dropbear-2013.59-1.el6
Comment 11 Fedora Update System 2013-10-09 20:51:23 EDT
Package dropbear-2013.59-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dropbear-2013.59-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18593/dropbear-2013.59-1.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-10-18 15:47:30 EDT
dropbear-2013.59-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-18 15:52:52 EDT
dropbear-2013.59-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-25 13:38:04 EDT
dropbear-2013.59-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-10 03:03:44 EST
dropbear-2013.59-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.